﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridHeaderContextMenuAdditional.aspx.cs" Inherits="RadGridHeaderContextMenuAdditional" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        div.RadMenu span.newContextMenuItem {
            background-image: url(eFind.png);
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function menuLoad(sender, args) {
                var index = sender.findItemByValue("SortNone").get_index() + 1;
                sender.trackChanges();
                var newItem = new Telerik.Web.UI.RadMenuItem();
                newItem.set_text("Clear Filtering");
                newItem.set_postBack(false);
                sender.get_items().insert(index, newItem);
                var imageSpan = $(newItem.get_element()).find(".rmLeftImage")[0];
                $(imageSpan).addClass("newContextMenuItem");
                sender.commitChanges();
            }
            function menuShowing(sender, args) {
                var filterItem = args.get_menu().findItemByText("Clear Filtering");
                filterItem.set_value(args.get_gridColumn().get_uniqueName());
            }
            function itemClicked(sender, args) {
                var masterTable = sender.get_parent().get_masterTableView();
                masterTable.filter(args.get_item().get_value(), "", "NoFilter");
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0" ShowGroupPanel="true"
            GridLines="None" Width="800px" OnNeedDataSource="RadGrid1_NeedDataSource" AllowSorting="true" AllowFilteringByColumn="true"
            EnableHeaderContextMenu="true" Skin="WebBlue">
            <ClientSettings AllowDragToGroup="true">
                <ClientEvents OnHeaderMenuShowing="menuShowing" />
            </ClientSettings>
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
            <HeaderContextMenu OnClientLoad="menuLoad" OnClientItemClicked="itemClicked"></HeaderContextMenu>
        </telerik:RadGrid>
    </form>
</body>
</html>
